# Uses of Interface
org.eclipse.birt.chart.model.attribute.AxisOrigin

Packages that use AxisOrigin
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.

## Uses of AxisOrigin in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return AxisOrigin
Modifier and Type
Method
Description
`AxisOrigin`
AxisOrigin.`copyInstance()`
`AxisOrigin`
AttributeFactory.`createAxisOrigin()`
Returns a new object of class 'Axis Origin'.

## Uses of AxisOrigin in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement AxisOrigin
Modifier and Type
Class
Description
`class`
`AxisOriginImpl`
An implementation of the model object 'Axis Origin'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return AxisOrigin
Modifier and Type
Method
Description
`AxisOrigin`
AxisOriginImpl.`copyInstance()`
`static final AxisOrigin`
AxisOriginImpl.`create(IntersectionType it, DataElement de)`
`AxisOrigin`
AttributeFactoryImpl.`createAxisOrigin()`
`static final AxisOrigin`
AxisOriginImpl.`createDefault(IntersectionType it, DataElement de)`

## Uses of AxisOrigin in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return AxisOrigin
Modifier and Type
Method
Description
`AxisOrigin`
Axis.`getOrigin()`
Returns the value of the 'Origin' containment reference.
Methods in org.eclipse.birt.chart.model.component with parameters of type AxisOrigin
Modifier and Type
Method
Description
`void`
Axis.`setOrigin(AxisOrigin value)`
Sets the value of the '`Origin`' containment reference.

## Uses of AxisOrigin in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return AxisOrigin
Modifier and Type
Method
Description
`AxisOrigin`
AxisImpl.`getOrigin()`
Methods in org.eclipse.birt.chart.model.component.impl with parameters of type AxisOrigin
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
AxisImpl.`basicSetOrigin(AxisOrigin newOrigin, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
AxisImpl.`setOrigin(AxisOrigin newOrigin)`